<?php
// +-------------------------------------------------+
//  2002-2004 PMB Services / www.sigb.net pmb@sigb.net et contributeurs (voir www.sigb.net)
// +-------------------------------------------------+
// $Id: bibloto.class.php,v 1.25 2015-06-22 12:14:15 vtouchard Exp $

if (stristr($_SERVER['REQUEST_URI'], ".class.php")) die("no access");

global $class_path, $include_path;
require_once($class_path."/connecteurs_out.class.php");
require_once($class_path."/connecteurs_out_sets.class.php");
require_once($class_path."/external_services_converters.class.php");
require_once($class_path."/encoding_normalize.class.php");

class bibloto extends connecteur_out {
	
	function get_config_form() {
		//Rien
		return '';
	}
	
	function update_config_from_form() {
		return;
	}
	
	function instantiate_source_class($source_id) {
		return new bibloto_source($this, $source_id, $this->msg);
	}
	
	function process($source_id, $pmb_user_id) {
		global $opac_biblio_name,$opac_biblio_email;
		global $biblio_name, $biblio_adr1, $biblio_adr2, $biblio_cp, $biblio_town, $biblio_state, $biblio_country, $biblio_phone, $biblio_email,$biblio_website;
		global $biblio_logo;
		
		$source = new bibloto_source($this, $source_id, $this->msg);
		$param = $source->config;
		$param['biblio']['name'] =$opac_biblio_name;
		$param['biblio']['adr1'] =$biblio_adr1;
		$param['biblio']['adr2'] =$biblio_adr2;
		$param['biblio']['cp'] =$biblio_cp;
		$param['biblio']['town'] =$biblio_town;
		$param['biblio']['phone'] =$biblio_phone;
		$param['biblio']['email'] =$opac_biblio_email;
		echo encoding_normalize::json_encode($param);
		return;
	}
}

class bibloto_source extends connecteur_out_source {
	
	function  bibloto_source($connector, $id, $msg) {
		parent::connecteur_out_source($connector, $id, $msg);
	}
	
	function get_config_form() {
		global $charset, $pmb_url_base, $_tableau_databases, $_libelle_databases;
		
		$result = parent::get_config_form();
		if(!$this->id){
			$this->config['pmb_ws_url'] = "http://...pmb/ws/connector_out.php?source_id=1";
			$this->config['style_url'] = "styles/bibloto.css";
			$this->config['checkout_activate'] = 1;
			$this->config['auto_checkout'] = 1;
			$this->config['checkin_activate'] = 1;
			$this->config['resa_activate'] = 0;
			$this->config['default_action'] = 1;
			$this->config['default_action_end'] = 1;
			$this->config['rfid_activate'] = 1;
			$this->config['rfid_driver'] = "3m";
			$this->config['rfid_activate_empr'] = 1;
			$this->config['rfid_activate_expl'] = 1;
			$this->config['rfid_serveur_url'] = "http://localhost:30000";
			$this->config['rfid_library_code'] = "0123456789";
			$this->config['rfid_afi_security_code_on'] = "07";
			$this->config['rfid_afi_security_code_off'] = "C2";
			$this->config['sound_activate'] = 1;
			$this->config['rfid_security_activate'] = 1;	
			$this->config['printer_activate'] = 0;		
			$this->config['home_tpl']="
<div class='templateContent'>
    <div class='TitleContent'>
        <h1>Automate de prt</h1>
        <p><img border='0' align='middle' src='images/carte_adherent.jpg'></p>
        <p class='IntroMsg'>Placer votre carte de lecteur</p>
    </div>
</div>";		
			$this->config['empr_tpl']=
"<div class='templateContent'>
    <div class='MainContent'>
        <h1>\${nom} \${prenom}</h1>               
        <p class='itemContent'>\${adr1}</p>
        <p class='itemContent'>\${cp} \${ville}</p>
    </div>
</div>";
					
			$this->config['printer_tpl']=
"\x1B\x40\x1B\x21\x16{{biblio.name}}\x1B\x21\x04
{{biblio.adr1}}
{{biblio.town}}
{{biblio.phone}}
{{biblio.email}}

Imprim le \n
Emprunteur:
{% for empr in empr_list %}
 {{empr.name}} {{empr.fistname}}
{% endfor %}
{% for expl in expl_list %}

{{expl.tit}} 
 {{expl.cb}}
 {{expl.location}} / {{expl.section}} / {{expl.cote}}
 Prt le {{expl.date_pret}}. \x1B\x21\x14 A retourn le{{expl.date_retour}} \x1B\x21\x04
 ______________________________________
{% endfor %}
\x1D\x56\x41 \x1B\x40";	
			
			$this->config['msg_checkout_button'] = "Prt";
			$this->config['msg_checkout_valid_button'] = "Valider";
			$this->config['msg_checkin_button'] = "Retour";
			$this->config['msg_resa_button'] = "Rservations";
			$this->config['msg_exit_button'] = "Dconnexion";
			$this->config['msg_action_title'] = "Prts en cours";
			$this->config['msg_checkout_title'] = "Prts effectus";
			$this->config['msg_checkin_title'] = "Retours effectus";
			$this->config['msg_resa_title'] = "Rservations";
			$this->config['msg_dialog_place_item_checkout'] = "Poser un document pour effectuer le prt";
			$this->config['msg_dialog_place_item_checkin'] = "Poser un document pour effectuer le retour";
			$this->config['msg_dialog_too_many_items'] = "Il y a trop de documents !";
			$this->config['msg_dialog_item_cb_unknown'] = "Ce document est inconnu";
			$this->config['msg_dialog_checkout_possible'] = "Empruntable";
			$this->config['msg_dialog_checkout_ok'] = "Prt effectu";
			$this->config['msg_dialog_checkout_no'] = "Vous ne pouvez pas emprunter ce document !";
			$this->config['msg_dialog_checkin_ok'] = "Retour effectu";
			$this->config['msg_dialog_checkin_no_checkout'] = "Ce document n'est pas en prt";
			$this->config['msg_dialog_antivol_error'] = "La commande d'antivol n'a pas rpondue. Veuiller re-dposer le document !";
			$this->config['msg_printer_exit'] = "Imprimer";
			$this->config['msg_dialog_exit'] = "Terminer";
			$this->config['timeout_disconnect'] = "60";
		}
/*		
		<div class='row'>&nbsp;</div>
		<div class='row'>
			<label class='etiquette'>".$this->msg['bibloto_printer_activate']."</label><br />			
			<span>".$this->msg['bibloto_printer_activate_yes']."&nbsp;<input type='radio' name='printer_activate' value='1' ".($this->config["printer_activate"] == "1" ? "checked='checked' ": "")."style='vertical-align:bottom;' /></span>
			<span>".$this->msg['bibloto_printer_activate_no']." &nbsp;<input type='radio' name='printer_activate' value='0' ".(!$this->config["printer_activate"] ? "checked='checked' ": "")."style='vertical-align:bottom;' /></span>	
		</div>		
		<div class='row'>&nbsp;</div>
		<div class='row'>
			<label class='etiquette' for='printer_name'>".$this->msg['bibloto_printer_name']."</label><br />			
			<input type='text' id='printer_name' name='printer_name' value='".$this->config['printer_name']."' />		
		</div>		
		<div class='row'>&nbsp;</div>
		<div class='row'>
			<label class='etiquette' for='printer_tpl'>".$this->msg['bibloto_printer_tpl']."</label><br />			
			<textarea id='printer_tpl' class='saisie-80em' wrap='virtual' rows='8' cols='62' name='printer_tpl'>".$this->config['printer_tpl']."</textarea>
		</div>	*/
		//Adresse d'utilisation
		$result .= "<div class=row><label class='etiquette' for='api_exported_functions'>".$this->msg['bibloto_service_endpoint']."</label><br />";
		if ($this->id) {
			$result .= "<a target='_blank' href='".$pmb_url_base."ws/connector_out.php?source_id=".$this->id."";
			$result .= count($_tableau_databases)>1?"&database=".$_libelle_databases[array_search(LOCATION,$_tableau_databases)]:"";
			$result .= "'>".$pmb_url_base."ws/connector_out.php?source_id=".$this->id."";
			$result .= count($_tableau_databases)>1?"&database=".$_libelle_databases[array_search(LOCATION,$_tableau_databases)]:"";
			$result .= "</a>";
		}else {
			$result .= $this->msg["bibloto_service_endpoint_unrecorded"];
		}
		
		$result .= "</div>					
		<div class='row'>&nbsp;</div>
		<div class='row'>
			<label class='etiquette' for='pmb_ws_url'>".$this->msg['bibloto_pmb_ws_url']."</label><br />			
			<input type='text' class='saisie-80em' id='pmb_ws_url' name='pmb_ws_url' value='".$this->config['pmb_ws_url']."' />		
		</div>				
		<div class='row'>&nbsp;</div>
		<div class='row'>
			<label class='etiquette' for='style_url'>".$this->msg['bibloto_style_url']."</label><br />			
			<input type='text' class='saisie-80em' id='style_url' name='style_url' value='".$this->config['style_url']."' />		
		</div>
		<div class='row'>&nbsp;</div>
		<div class='row'>
			<label class='etiquette'>".$this->msg['bibloto_checkout_activate']."</label><br />			
			<span>".$this->msg['bibloto_checkout_activate_yes']."&nbsp;<input type='radio' name='checkout_activate' value='1' ".($this->config["checkout_activate"] == "1" ? "checked='checked' ": "")."style='vertical-align:bottom;' /></span>
			<span>".$this->msg['bibloto_checkout_activate_no']." &nbsp;<input type='radio' name='checkout_activate' value='0' ".(!$this->config["checkout_activate"] ? "checked='checked' ": "")."style='vertical-align:bottom;' /></span>	
		</div>	
		<div class='row'>&nbsp;</div>
		<div class='row'>
			<label class='etiquette'>".$this->msg['bibloto_auto_checkout']."</label><br />			
			<span>".$this->msg['bibloto_auto_checkout_yes']."&nbsp;<input type='radio' name='auto_checkout' value='1' ".($this->config["auto_checkout"] == "1" ? "checked='checked' ": "")."style='vertical-align:bottom;' /></span>
			<span>".$this->msg['bibloto_auto_checkout_no']." &nbsp;<input type='radio' name='auto_checkout' value='0' ".(!$this->config["auto_checkout"] ? "checked='checked' ": "")."style='vertical-align:bottom;' /></span>	
		</div>	
		<div class='row'>&nbsp;</div>
		<div class='row'>
			<label class='etiquette'>".$this->msg['bibloto_checkin_activate']."</label><br />			
			<span>".$this->msg['bibloto_checkin_activate_yes']."&nbsp;<input type='radio' name='checkin_activate' value='1' ".($this->config["checkin_activate"] == "1" ? "checked='checked' ": "")."style='vertical-align:bottom;' /></span>
			<span>".$this->msg['bibloto_checkin_activate_no']." &nbsp;<input type='radio' name='checkin_activate' value='0' ".(!$this->config["checkin_activate"] ? "checked='checked' ": "")."style='vertical-align:bottom;' /></span>	
		</div>	
		<div class='row'>&nbsp;</div>
		<div class='row'>
			<label class='etiquette'>".$this->msg['bibloto_resa_activate']."</label><br />			
			<span>".$this->msg['bibloto_resa_activate_yes']."&nbsp;<input type='radio' name='resa_activate' value='1' ".($this->config["resa_activate"] == "1" ? "checked='checked' ": "")."style='vertical-align:bottom;' /></span>
			<span>".$this->msg['bibloto_resa_activate_no']." &nbsp;<input type='radio' name='resa_activate' value='0' ".(!$this->config["resa_activate"] ? "checked='checked' ": "")."style='vertical-align:bottom;' /></span>	
		</div>		
		<div class='row'>&nbsp;</div>
		<div class='row'>
			<label class='etiquette'>".$this->msg['bibloto_default_action']."</label><br />			
			<span>".$this->msg['bibloto_default_action_default']."&nbsp;<input type='radio' name='default_action' value='0' ".(!$this->config["default_action"] ? "checked='checked' ": "")."style='vertical-align:bottom;' /></span>
			<span>".$this->msg['bibloto_default_action_checkout']." &nbsp;<input type='radio' name='default_action' value='1' ".($this->config["default_action"] == "1" ? "checked='checked' ": "")."style='vertical-align:bottom;' /></span>	
			<span>".$this->msg['bibloto_default_action_checkin']." &nbsp;<input type='radio' name='default_action' value='2' ".($this->config["default_action"] == "2" ? "checked='checked' ": "")."style='vertical-align:bottom;' /></span>
			<span>".$this->msg['bibloto_default_action_resa']." &nbsp;<input type='radio' name='default_action' value='3' ".($this->config["default_action"] == "3" ? "checked='checked' ": "")."style='vertical-align:bottom;' /></span>
		</div>	
		<div class='row'>&nbsp;</div>
		<div class='row'>
			<label class='etiquette'>".$this->msg['bibloto_default_action_end']."</label><br />			
			<span>".$this->msg['bibloto_default_action_default']."&nbsp;<input type='radio' name='default_action_end' value='0' ".(!$this->config["default_action_end"] ? "checked='checked' ": "")."style='vertical-align:bottom;' /></span>
			<span>".$this->msg['bibloto_default_action_end_home']." &nbsp;<input type='radio' name='default_action_end' value='1' ".($this->config["default_action_end"] == "1" ? "checked='checked' ": "")."style='vertical-align:bottom;' /></span>
		</div>	
		<div class='row'>&nbsp;</div>
		<div class='row'>
			<label class='etiquette'>".$this->msg['bibloto_sound_activate']."</label><br />			
			<span>".$this->msg['bibloto_sound_activate_yes']."&nbsp;<input type='radio' name='sound_activate' value='1' ".($this->config["sound_activate"] == "1" ? "checked='checked' ": "")."style='vertical-align:bottom;' /></span>
			<span>".$this->msg['bibloto_sound_activate_no']." &nbsp;<input type='radio' name='sound_activate' value='0' ".(!$this->config["sound_activate"] ? "checked='checked' ": "")."style='vertical-align:bottom;' /></span>	
		</div>	
		<div class='row'>&nbsp;</div>
		<div class='row'>
			<label class='etiquette'>".$this->msg['bibloto_rfid_activate']."</label><br />			
			<span>".$this->msg['bibloto_rfid_activate_yes']."&nbsp;<input type='radio' name='rfid_activate' value='1' ".($this->config["rfid_activate"] == "1" ? "checked='checked' ": "")."style='vertical-align:bottom;' /></span>
			<span>".$this->msg['bibloto_rfid_activate_no']." &nbsp;<input type='radio' name='rfid_activate' value='0' ".(!$this->config["rfid_activate"] ? "checked='checked' ": "")."style='vertical-align:bottom;' /></span>	
		</div>	
		<div class='row'>&nbsp;</div>
		<div class='row'>
			<label class='etiquette'>".$this->msg['bibloto_rfid_activate_empr']."</label><br />			
			<span>".$this->msg['bibloto_rfid_activate_empr_yes']."&nbsp;<input type='radio' name='rfid_activate_empr' value='1' ".($this->config["rfid_activate_empr"] == "1" ? "checked='checked' ": "")."style='vertical-align:bottom;' /></span>
			<span>".$this->msg['bibloto_rfid_activate_empr_no']." &nbsp;<input type='radio' name='rfid_activate_empr' value='0' ".(!$this->config["rfid_activate_empr"] ? "checked='checked' ": "")."style='vertical-align:bottom;' /></span>	
		</div>	
		<div class='row'>&nbsp;</div>
		<div class='row'>
			<label class='etiquette'>".$this->msg['bibloto_rfid_activate_expl']."</label><br />			
			<span>".$this->msg['bibloto_rfid_activate_expl_yes']."&nbsp;<input type='radio' name='rfid_activate_expl' value='1' ".($this->config["rfid_activate_expl"] == "1" ? "checked='checked' ": "")."style='vertical-align:bottom;' /></span>
			<span>".$this->msg['bibloto_rfid_activate_expl_no']." &nbsp;<input type='radio' name='rfid_activate_expl' value='0' ".(!$this->config["rfid_activate_expl"] ? "checked='checked' ": "")."style='vertical-align:bottom;' /></span>	
		</div>					
		<div class='row'>&nbsp;</div>
		<div class='row'>
			<label class='etiquette' for='rfid_driver'>".$this->msg['bibloto_rfid_driver']."</label><br />			
			<input type='text' id='rfid_driver' name='rfid_driver' value='".$this->config['rfid_driver']."' />		
		</div>
		<div class='row'>&nbsp;</div>
		<div class='row'>
			<label class='etiquette' for='rfid_serveur_url '>".$this->msg['bibloto_rfid_serveur_url']."</label><br />			
			<input type='text' class='saisie-80em' id='rfid_serveur_url' name='rfid_serveur_url' value='".$this->config['rfid_serveur_url']."' />		
		</div>		
		<div class='row'>&nbsp;</div>
		<div class='row'>
			<label class='etiquette' for='rfid_library_code'>".$this->msg['bibloto_rfid_library_code']."</label><br />			
			<input type='text' id='rfid_library_code' name='rfid_library_code' value='".$this->config['rfid_library_code']."' />		
		</div>			
		<div class='row'>&nbsp;</div>
		<div class='row'>
			<label class='etiquette' for='rfid_security_activate'>".$this->msg['bibloto_rfid_security_activate']."</label><br />			
			<span>".$this->msg['bibloto_rfid_security_activate_yes']."&nbsp;<input type='radio' name='rfid_security_activate' value='1' ".($this->config["rfid_security_activate"] == "1" ? "checked='checked' ": "")."style='vertical-align:bottom;' /></span>
			<span>".$this->msg['bibloto_rfid_security_activate_no']." &nbsp;<input type='radio' name='rfid_security_activate' value='0' ".(!$this->config["rfid_security_activate"] ? "checked='checked' ": "")."style='vertical-align:bottom;' /></span>	
		</div>			
		<div class='row'>&nbsp;</div>
		<div class='row'>
			<label class='etiquette' for='rfid_afi_security_code_on'>".$this->msg['bibloto_rfid_afi_security_code_on']."</label><br />			
			<input type='text' id='rfid_afi_security_code_on' name='rfid_afi_security_code_on' value='".$this->config['rfid_afi_security_code_on']."' />		
		</div>			
		<div class='row'>&nbsp;</div>
		<div class='row'>
			<label class='etiquette' for='rfid_afi_security_code_off'>".$this->msg['bibloto_rfid_afi_security_code_off']."</label><br />			
			<input type='text' id='rfid_afi_security_code_off' name='rfid_afi_security_code_off' value='".$this->config['rfid_afi_security_code_off']."' />		
		</div>					
		<div class='row'>&nbsp;</div>
		<div class='row'>
			<label class='etiquette' for='home_tpl'>".$this->msg['bibloto_home_tpl']."</label><br />			
			<textarea id='home_tpl' class='saisie-80em' wrap='virtual' rows='8' cols='62' name='home_tpl'>".$this->config['home_tpl']."</textarea>
		</div>			
		<div class='row'>&nbsp;</div>
		<div class='row'>
			<label class='etiquette' for='empr_tpl'>".$this->msg['bibloto_empr_tpl']."</label><br />			
			<textarea id='empr_tpl' class='saisie-80em' wrap='virtual' rows='8' cols='62' name='empr_tpl'>".$this->config['empr_tpl']."</textarea>
		</div>				
		<div class='row'>&nbsp;</div>
		<div class='row'>
			<label class='etiquette' for='msg_checkout_button'>".$this->msg['bibloto_msg_checkout_button']."</label><br />			
			<input type='text' id='msg_checkout_button' name='msg_checkout_button' value='".htmlentities($this->config['msg_checkout_button'],ENT_QUOTES,$charset)."' />		
		</div>		
		<div class='row'>&nbsp;</div>
		<div class='row'>
			<label class='etiquette' for='msg_checkout_valid_button'>".$this->msg['bibloto_msg_checkout_valid_button']."</label><br />			
			<input type='text' id='msg_checkout_valid_button' name='msg_checkout_valid_button' value='".htmlentities($this->config['msg_checkout_valid_button'],ENT_QUOTES,$charset)."' />		
		</div>		
		<div class='row'>&nbsp;</div>
		<div class='row'>
			<label class='etiquette' for='msg_checkin_button'>".$this->msg['bibloto_msg_checkin_button']."</label><br />			
			<input type='text' id='msg_checkin_button' name='msg_checkin_button' value='".htmlentities($this->config['msg_checkin_button'],ENT_QUOTES,$charset)."' />		
		</div>	
		<div class='row'>&nbsp;</div>
		<div class='row'>
			<label class='etiquette' for='msg_resa_button'>".$this->msg['bibloto_msg_resa_button']."</label><br />			
			<input type='text' id='msg_resa_button' name='msg_resa_button' value='".htmlentities($this->config['msg_resa_button'],ENT_QUOTES,$charset)."' />		
		</div>	
		<div class='row'>&nbsp;</div>
		<div class='row'>
			<label class='etiquette' for='msg_exit_button'>".$this->msg['bibloto_msg_exit_button']."</label><br />			
			<input type='text' id='msg_exit_button' name='msg_exit_button' value='".htmlentities($this->config['msg_exit_button'],ENT_QUOTES,$charset)."' />		
		</div>	
		<div class='row'>&nbsp;</div>
		<div class='row'>
			<label class='etiquette' for='msg_action_title'>".$this->msg['bibloto_msg_action_title']."</label><br />			
			<input type='text'  class='saisie-80em' id='msg_action_title' name='msg_action_title' value='".htmlentities($this->config['msg_action_title'],ENT_QUOTES,$charset)."' />		
		</div>
		<div class='row'>&nbsp;</div>
		<div class='row'>
			<label class='etiquette' for='msg_checkout_title'>".$this->msg['bibloto_msg_checkout_title']."</label><br />			
			<input type='text'  class='saisie-80em' id='msg_checkout_title' name='msg_checkout_title' value='".htmlentities($this->config['msg_checkout_title'],ENT_QUOTES,$charset)."' />		
		</div>	
		<div class='row'>&nbsp;</div>
		<div class='row'>
			<label class='etiquette' for='msg_checkin_title'>".$this->msg['bibloto_msg_checkin_title']."</label><br />			
			<input type='text'  class='saisie-80em' id='msg_checkin_title' name='msg_checkin_title' value='".htmlentities($this->config['msg_checkin_title'],ENT_QUOTES,$charset)."' />		
		</div>	
		<div class='row'>&nbsp;</div>
		<div class='row'>
			<label class='etiquette' for='msg_resa_title'>".$this->msg['bibloto_msg_resa_title']."</label><br />			
			<input type='text'  class='saisie-80em' id='msg_resa_title' name='msg_resa_title' value='".htmlentities($this->config['msg_resa_title'],ENT_QUOTES,$charset)."' />		
		</div>	
		<div class='row'>&nbsp;</div>
		<div class='row'>
			<label class='etiquette' for='msg_dialog_place_item_checkout'>".$this->msg['bibloto_msg_dialog_place_item_checkout']."</label><br />			
			<input type='text' class='saisie-80em' id='msg_dialog_place_item_checkout' name='msg_dialog_place_item_checkout' value='".htmlentities($this->config['msg_dialog_place_item_checkout'],ENT_QUOTES,$charset)."' />		
		</div>	
		<div class='row'>&nbsp;</div>
		<div class='row'>
			<label class='etiquette' for='msg_dialog_place_item_checkin'>".$this->msg['bibloto_msg_dialog_place_item_checkin']."</label><br />			
			<input type='text' class='saisie-80em' id='msg_dialog_place_item_checkin' name='msg_dialog_place_item_checkin' value='".htmlentities($this->config['msg_dialog_place_item_checkin'],ENT_QUOTES,$charset)."' />		
		</div>			
		<div class='row'>&nbsp;</div>
		<div class='row'>
			<label class='etiquette' for='msg_dialog_too_many_items'>".$this->msg['bibloto_msg_dialog_too_many_items']."</label><br />			
			<input type='text' class='saisie-80em' id='msg_dialog_too_many_items' name='msg_dialog_too_many_items' value='".htmlentities($this->config['msg_dialog_too_many_items'],ENT_QUOTES,$charset)."' />		
		</div>				
		<div class='row'>&nbsp;</div>
		<div class='row'>
			<label class='etiquette' for='msg_dialog_item_cb_unknown'>".$this->msg['bibloto_msg_dialog_item_cb_unknown']."</label><br />			
			<input type='text' class='saisie-80em' id='msg_dialog_item_cb_unknown' name='msg_dialog_item_cb_unknown' value='".htmlentities($this->config['msg_dialog_item_cb_unknown'],ENT_QUOTES,$charset)."' />		
		</div>			
		<div class='row'>&nbsp;</div>
		<div class='row'>
			<label class='etiquette' for='msg_dialog_checkout_possible'>".$this->msg['bibloto_msg_dialog_checkout_possible']."</label><br />			
			<input type='text' class='saisie-80em' id='msg_dialog_checkout_possible' name='msg_dialog_checkout_possible' value='".htmlentities($this->config['msg_dialog_checkout_possible'],ENT_QUOTES,$charset)."' />		
		</div>				
		<div class='row'>&nbsp;</div>
		<div class='row'>
			<label class='etiquette' for='msg_dialog_checkout_ok'>".$this->msg['bibloto_msg_dialog_checkout_ok']."</label><br />			
			<input type='text' class='saisie-80em' id='msg_dialog_checkout_ok' name='msg_dialog_checkout_ok' value='".htmlentities($this->config['msg_dialog_checkout_ok'],ENT_QUOTES,$charset)."' />		
		</div>	
		<div class='row'>&nbsp;</div>
		<div class='row'>
			<label class='etiquette' for='msg_dialog_checkout_no'>".$this->msg['bibloto_msg_dialog_checkout_no']."</label><br />			
			<input type='text' class='saisie-80em' id='msg_dialog_checkout_no' name='msg_dialog_checkout_no' value='".htmlentities($this->config['msg_dialog_checkout_no'],ENT_QUOTES,$charset)."' />		
		</div>	
		<div class='row'>&nbsp;</div>
		<div class='row'>
			<label class='etiquette' for='msg_dialog_checkin_ok'>".$this->msg['bibloto_msg_dialog_checkin_ok']."</label><br />			
			<input type='text' class='saisie-80em' id='msg_dialog_checkin_ok' name='msg_dialog_checkin_ok' value='".htmlentities($this->config['msg_dialog_checkin_ok'],ENT_QUOTES,$charset)."' />		
		</div>	
		<div class='row'>&nbsp;</div>
		<div class='row'>
			<label class='etiquette' for='msg_dialog_checkin_no_checkout'>".$this->msg['bibloto_msg_dialog_checkin_no_checkout']."</label><br />			
			<input type='text' class='saisie-80em' id='msg_dialog_checkin_no_checkout' name='msg_dialog_checkin_no_checkout' value='".htmlentities($this->config['msg_dialog_checkin_no_checkout'],ENT_QUOTES,$charset)."' />		
		</div>	
		<div class='row'>&nbsp;</div>
		<div class='row'>
			<label class='etiquette' for='msg_dialog_antivol_error'>".$this->msg['bibloto_msg_dialog_antivol_error']."</label><br />			
			<input type='text' class='saisie-80em' id='msg_dialog_antivol_error' name='msg_dialog_antivol_error' value='".htmlentities($this->config['msg_dialog_antivol_error'],ENT_QUOTES,$charset)."' />		
		</div>	
		<div class='row'>&nbsp;</div>
		<div class='row'>
			<label class='etiquette' for='msg_dialog_exit'>".$this->msg['bibloto_msg_dialog_exit']."</label><br />			
			<input type='text' id='msg_dialog_exit' name='msg_dialog_exit' value='".htmlentities($this->config['msg_dialog_exit'],ENT_QUOTES,$charset)."' />		
		</div>	
		<div class='row'>&nbsp;</div>
		<div class='row'>
			<label class='etiquette' for='timeout_disconnect'>".$this->msg['bibloto_timeout_disconnect']."</label><br />			
			<input type='text' id='timeout_disconnect' name='timeout_disconnect' value='".$this->config['timeout_disconnect']."' />		
		</div>
		";
		/*						
		<div class='row'>&nbsp;</div>
		<div class='row'>
			<label class='etiquette' for='msg_printer_button'>".$this->msg['bibloto_msg_printer_button']."</label><br />			
			<input type='text' id='msg_printer_button' name='msg_printer_button' value='".htmlentities($this->config['msg_printer_button'],ENT_QUOTES,$charset)."' />		
		</div>	
		*/
		return $result;
	}
	
	function update_config_from_form() {
		global $dbh;
		global $pmb_ws_url;
		global $style_url;
		global $checkout_activate;
		global $auto_checkout;
		global $checkin_activate;
		global $resa_activate;
		global $printer_activate;
		global $printer_name;
		global $printer_tpl;
		global $sound_activate;
		global $rfid_activate;
		global $rfid_driver;
		global $rfid_activate_empr ;
		global $rfid_activate_expl;
		global $rfid_serveur_url;
		global $rfid_library_code;
		global $rfid_security_activate;
		global $rfid_afi_security_code_on ;
		global $rfid_afi_security_code_off ;
		global $msg_checkout_button;
		global $msg_checkout_valid_button;
		global $msg_checkin_button;
		global $msg_resa_button;
		global $msg_exit_button;
		global $msg_action_title;
		global $msg_checkout_title;
		global $msg_checkin_title;
		global $msg_resa_title;
		global $msg_dialog_place_item_checkout;
		global $msg_dialog_place_item_checkin;
		global $msg_dialog_too_many_items;
		global $msg_dialog_item_cb_unknown;
		global $msg_dialog_checkout_possible;
		global $msg_dialog_checkout_no;
		global $msg_dialog_checkout_ok;
		global $msg_dialog_checkin_ok;
		global $msg_dialog_checkin_no_checkout;
		global $msg_dialog_antivol_error;
		global $msg_printer_button;
		global $msg_dialog_exit;
		global $timeout_disconnect;
		global $home_tpl;
		global $empr_tpl;
		global $default_action;
		global $default_action_end;
		
		parent::update_config_from_form();

		$this->config['pmb_ws_url'] = $pmb_ws_url;
		$this->config['style_url'] = $style_url;
		$this->config['checkout_activate'] = $checkout_activate;
		$this->config['auto_checkout'] = $auto_checkout;
		$this->config['checkin_activate'] = $checkin_activate;
		$this->config['resa_activate'] = $resa_activate;
		$this->config['printer_activate'] = $printer_activate;
		$this->config['printer_name'] = stripslashes($printer_name);
		$this->config['printer_tpl'] = stripslashes($printer_tpl);
		$this->config['default_action'] = $default_action;
		$this->config['default_action_end'] = $default_action_end;
		$this->config['sound_activate'] = $sound_activate;
		$this->config['rfid_activate'] = $rfid_activate;
		$this->config['rfid_driver'] = $rfid_driver;
		$this->config['rfid_activate_empr'] = $rfid_activate_empr;
		$this->config['rfid_activate_expl'] = $rfid_activate_expl;
		$this->config['rfid_serveur_url'] = $rfid_serveur_url;
		$this->config['rfid_library_code'] = $rfid_library_code;
		$this->config['rfid_afi_security_code_on'] = $rfid_afi_security_code_on;
		$this->config['rfid_afi_security_code_off'] = $rfid_afi_security_code_off;
		$this->config['rfid_security_activate'] = $rfid_security_activate;

		$this->config['home_tpl'] = stripslashes($home_tpl);
		$this->config['empr_tpl'] = stripslashes($empr_tpl);
		$this->config['msg_checkout_button'] = stripslashes($msg_checkout_button);
		$this->config['msg_checkout_valid_button'] = stripslashes($msg_checkout_valid_button);
		$this->config['msg_checkin_button'] = stripslashes($msg_checkin_button);
		$this->config['msg_resa_button'] = stripslashes($msg_resa_button);
		$this->config['msg_printer_button'] = stripslashes($msg_printer_button);
		$this->config['msg_exit_button'] = stripslashes($msg_exit_button);
		$this->config['msg_action_title'] = stripslashes($msg_action_title);
		$this->config['msg_checkout_title'] = stripslashes($msg_checkout_title);
		$this->config['msg_checkin_title'] = stripslashes($msg_checkin_title);
		$this->config['msg_resa_title'] = stripslashes($msg_resa_title);
		$this->config['msg_dialog_place_item_checkout'] = stripslashes($msg_dialog_place_item_checkout);
		$this->config['msg_dialog_place_item_checkin'] = stripslashes($msg_dialog_place_item_checkin);
		$this->config['msg_dialog_too_many_items'] = stripslashes($msg_dialog_too_many_items);
		$this->config['msg_dialog_item_cb_unknown'] = stripslashes($msg_dialog_item_cb_unknown);
		$this->config['msg_dialog_checkout_possible'] = stripslashes($msg_dialog_checkout_possible);
		$this->config['msg_dialog_checkout_ok'] = stripslashes($msg_dialog_checkout_ok);
		$this->config['msg_dialog_checkout_no'] = stripslashes($msg_dialog_checkout_no);
		$this->config['msg_dialog_checkin_ok'] = stripslashes($msg_dialog_checkin_ok);
		$this->config['msg_dialog_checkin_no_checkout'] = stripslashes($msg_dialog_checkin_no_checkout);
		$this->config['msg_dialog_antivol_error'] = stripslashes($msg_dialog_antivol_error);
		$this->config['msg_dialog_exit'] = stripslashes($msg_dialog_exit);
		$this->config['timeout_disconnect'] = $timeout_disconnect;
		return;
	}
}
